CVE-2001-0262
CVSS7.5
发布时间 :2001-07-02 00:00:00
修订时间 :2008-09-05 16:23:40
NMCOES    

[原文]Buffer overflow in Netscape SmartDownload 1.3 allows remote attackers (malicious web pages) to execute arbitrary commands via a long URL.


[CNNVD]Netscape SmartDownload缓冲区漏洞(CNNVD-200107-023)

        Netscape SmartDownload 1.3版本存在缓冲区漏洞。远程攻击者(恶意web页)借助超长URL执行任意命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0262
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0262
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200107-023
(官方数据源) CNNVD

- 其它链接及资源

http://www.atstake.com/research/advisories/2001/a041301-1.txt
(VENDOR_ADVISORY)  ATSTAKE  A041301-1

- 漏洞信息

Netscape SmartDownload缓冲区漏洞
高危 缓冲区溢出
2001-07-02 00:00:00 2005-10-20 00:00:00
远程  
        Netscape SmartDownload 1.3版本存在缓冲区漏洞。远程攻击者(恶意web页)借助超长URL执行任意命令。

- 公告与补丁

        Netscape has released SmartDownload 1.4, which does not contain this bug.
        Netscape SmartDownload 1.3
        

- 漏洞信息 (20775)

Netscape SmartDownload 1.3 Buffer Overflow Vulnerability (EDBID:20775)
windows remote
2001-04-13 Verified
0 Craig Davison
N/A [点击下载]
source: http://www.securityfocus.com/bid/2615/info

Netscape SmartDownload, a download manager add-on for popular web browsers, is vulnerable to a buffer overflow. The library 'sdph20.dll' used by SmartDownload contains an URL parser function that will overflow when a user visits or is redirected to an URL longer than 271 characters.

This overflow, if successfully exploited, allows execution of arbitrary code by an attacker with the privilege level of the currently logged-in user. Under Windows 95/98/Me, this means administrative privileges.

Hosts with SmartDownload installed are vulnerable regardless of whether SmartDownload is enabled. Exploit code is available for this vulnerability. 

http://www.exploit-db.com/sploits/20775.tar.gz		

- 漏洞信息

13841
Netscape SmartDownload Long URL Parsing Overflow
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Exploit Public Third-party Verified

- 漏洞描述

A remote overflow exists in Netscape SmartDownload. sdph20.dll included with SmartDownload fails to correctly check the length of the URL of the file to download resulting in a buffer overflow. With a specially crafted request with a URL whose length is greater than 256 characters, an attacker can cause arbitrary code execution on the victim's computer resulting in a loss of integrity.

- 时间线

2001-04-13 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.4 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Netscape SmartDownload 1.3 Buffer Overflow Vulnerability
Boundary Condition Error 2615
Yes No
2001-04-13 12:00:00 2009-07-11 06:06:00
Submitted to vulnhelp@securityfocus.com on 2 March, 2001 by Craig Davison <cd@securityfocus.com>, Ryan Russell <ryan@securityfocus.com> and Bruce Leidl <brl@core-sdi.com>. Also discovered independently by Frank Swiderski <fes@atstake.com> and described in

- 受影响的程序版本

Netscape SmartDownload 1.3
- Netscape Communicator 4.77
- Netscape Communicator 4.76
- Netscape Communicator 4.75
- Netscape Communicator 4.74
- Netscape Communicator 4.73
- Netscape Communicator 4.72

- 漏洞讨论

Netscape SmartDownload, a download manager add-on for popular web browsers, is vulnerable to a buffer overflow. The library 'sdph20.dll' used by SmartDownload contains an URL parser function that will overflow when a user visits or is redirected to an URL longer than 271 characters.

This overflow, if successfully exploited, allows execution of arbitrary code by an attacker with the privilege level of the currently logged-in user. Under Windows 95/98/Me, this means administrative privileges.

Hosts with SmartDownload installed are vulnerable regardless of whether SmartDownload is enabled. Exploit code is available for this vulnerability.

- 漏洞利用

A utility is available that generates a web page that will exploit this vulnerability. The exploit is intentionally crippled.

- 解决方案

Netscape has released SmartDownload 1.4, which does not contain this bug.


Netscape SmartDownload 1.3

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站